[LTP] [PATCH v2] nfs_lib.sh: run exportfs at "server side" in LTP_NETNS case
Nikita Yushchenko
nikita.yushchenko@virtuozzo.com
Thu Jan 13 17:31:15 CET 2022
In LTP_NETNS case, nfs server is the root namespace and nfs client is
the ltp namespace.
Then, exportfs shall be executed locally, without tst_rhost_run.
Otherwise, things implicitly depend on /var/lib/nfs being the same in
the root namespace and the ltp namespace.
Signed-off-by: Nikita Yushchenko <nikita.yushchenko@virtuozzo.com>
---
Changes from v1:
- use tst_net_use_netns
testcases/network/nfs/nfs_stress/nfs_lib.sh | 10 ++++++++--
1 file changed, 8 insertions(+), 2 deletions(-)
diff --git a/testcases/network/nfs/nfs_stress/nfs_lib.sh b/testcases/network/nfs/nfs_stress/nfs_lib.sh
index 884109890..7a7cd9925 100644
--- a/testcases/network/nfs/nfs_stress/nfs_lib.sh
+++ b/testcases/network/nfs/nfs_stress/nfs_lib.sh
@@ -81,8 +81,14 @@ nfs_setup_server()
{
local export_cmd="exportfs -i -o fsid=$$,no_root_squash,rw *:$remote_dir"
- if ! tst_rhost_run -c "test -d $remote_dir"; then
- tst_rhost_run -s -c "mkdir -p $remote_dir; $export_cmd"
+ if tst_net_use_netns; then
+ if ! test -d $remote_dir; then
+ mkdir -p $remote_dir; $export_cmd
+ fi
+ else
+ if ! tst_rhost_run -c "test -d $remote_dir"; then
+ tst_rhost_run -s -c "mkdir -p $remote_dir; $export_cmd"
+ fi
fi
}
--
2.30.2
More information about the ltp
mailing list